From 6565360faece08876e01b151eae94632e98523fe Mon Sep 17 00:00:00 2001
From: Meghan Richardson <mrichard@fedoraproject.org>
Date: Jul 31 2015 17:48:46 +0000
Subject: [PATCH 201/1001] Merge branch 'develop' of pagure.io:fedora-hubs into develop


---

diff --git a/hubs/models.py b/hubs/models.py
index 2808b73..4045200 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -117,6 +117,8 @@ class Hub(BASE):
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     widgets = relation('Widget', backref=backref('hub'))
     left_width = sa.Column(sa.Integer, nullable=False, default=8)
+    archived = sa.Column(sa.Boolean, default=False)
+    user_hub = sa.Column(sa.Boolean, default=False)
 
     # A URL to the "avatar" for this hub.
     avatar = sa.Column(sa.String(256), default=placekitten)
@@ -197,7 +199,8 @@ class Hub(BASE):
     @classmethod
     def create_user_hub(cls, session, username, fullname):
         hub = cls(name=username, summary=fullname,
-                  avatar=username2avatar(username))
+                  avatar=username2avatar(username),
+                  user_hub=True)
         session.add(hub)
 
         hubs.defaults.add_user_widgets(session, hub, username, fullname)
diff --git a/hubs/widgets/cobwebs.py b/hubs/widgets/cobwebs.py
index ff1ebd5..6f16810 100644
--- a/hubs/widgets/cobwebs.py
+++ b/hubs/widgets/cobwebs.py
@@ -12,10 +12,14 @@ template = jinja2.Template("""
 <ul class="media-list">
     <li class="media">
         <div class="media-left">
-            <img class="media-object square-32" src="{{cobweb_icon}}"/>
+            <img class="media-object square-32" src="{{icon}}"/>
         </div>
         <div class="media-body">
+        {% if archived %}
+            This hub has been archived and locked.
+        {% else %}
             Cobweb alert!  This hub was last active {{then}}.
+        {% endif %}
         </div>
     </li>
 </ul>
@@ -25,12 +29,16 @@ template = jinja2.Template("""
 
 def data(session, widget):
     days = widget.hub.days_idle
-    old = days > 31
+    archived = widget.hub.archived
+    old = days > 31 or archived
     then = datetime.datetime.utcnow() - datetime.timedelta(days=days)
     then = arrow.get(then).humanize()
     import flask
-    cobweb_icon = flask.url_for('static', filename='img/cobweb.png')
-    return dict(old=old, days=days, then=then, cobweb_icon=cobweb_icon)
+    if archived:
+        icon = flask.url_for('static', filename='img/archived.png')
+    else:
+        icon = flask.url_for('static', filename='img/cobweb.png')
+    return dict(old=old, days=days, then=then, icon=icon, archived=archived)
 
 
 #@hint(topics=[_('hubs.widget.update')])

